Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.marshall
Class JBCMethodCall

    java.lang.Object
      org.jgroups.blocks.MethodCall
          org.jboss.cache.marshall.JBCMethodCall

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class JBCMethodCall

extends org.jgroups.blocks.MethodCall

A subclass of the JGroups MethodCall class, which adds a method id.

NB: The reason for not using JGroups' MethodCall class directly, which does contain an id property since JGroups 2.2.9, is for backward compatibility with JGroups 2.2.7 and 2.2.8.

Author:
  Manik Surtani (manik@jboss.org)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jgroups.blocks.MethodCall
`args, ID, log, method, METHOD, method_id, method_name, mode, OLD, payload, signature, SIGNATURE, types, TYPES`

Constructor Summary
`JBCMethodCall()`
`JBCMethodCall(java.lang.reflect.Method method, java.lang.Object[] arguments, int methodId)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getMethodId()`
`int` | `hashCode()`
`void` | `setMethodId(int methodId)`

Methods inherited from class org.jgroups.blocks.MethodCall
`get, getArgs, getId, getMethod, getMode, getName, invoke, invoke, put, readExternal, setArgs, setId, setMethod, setName, toString, toStringDetails, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JBCMethodCall

    public JBCMethodCall()

### JBCMethodCall

    public JBCMethodCall(java.lang.reflect.Method method,
                         java.lang.Object[] arguments,
                         int methodId)

Method Detail

### getMethodId

    public int getMethodId()

### setMethodId

    public void setMethodId(int methodId)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.